<!DOCTYPE html>
<html lang="en">

<head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta http-equiv="X-UA-Compatible" content="ie=edge">
   <title>Document</title>

   <script type="text/javascript">
      function enPantalla(text) {
         let element = document.getElementById('container');
         element.textContent = text;
      }

      function enconsola(text) {
         console.log(text);
      }
   </script>
</head>

<body>
   <button id="request">Petición</button>
   <section id="container">
      respuesta a peticion :
   </section>

   <script type="text/javascript">
      let datos = {
         "delay": "5"
      }

      let request = new XMLHttpRequest();
      request.open('POST',"https://httpbin.org/delay/5",true);
      // method = "GET",
      //    url = 'https://jsonplaceholder.typicode.com/posts/1/comments';

      // req.open(method, url, true);

      let contador = 0;
      request.onreadystatechange = function () {
         enconsola(['cuantas veces se reviso?: ', contador]); contador++;

         if (request.readyState === XMLHttpRequest.DONE && request.status === 200) {
            enconsola(request.responseText);
            enPantalla(request.responseText);
         }
      };

      document.getElementById('request')
         .addEventListener('click', function () {
            this.style.display = 'none';
            request.send();
         });
   </script>
</body>

</html>